------------------------------------------------------------------------
r233 | wutname1 | 2015-09-20 22:45:44 +0000 (Sun, 20 Sep 2015) | 1 line
Changed paths:
   M /trunk/libs/oUF/elements/classicons.lua

Removed debug print line
------------------------------------------------------------------------
r232 | wutname1 | 2015-09-20 22:44:17 +0000 (Sun, 20 Sep 2015) | 3 lines
Changed paths:
   M /trunk/Modules/PlayerFrames/scripts/Global-Features.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua
   M /trunk/libs/oUF/blizzard.lua
   M /trunk/libs/oUF/colors.lua
   M /trunk/libs/oUF/elements/altpowerbar.lua
   M /trunk/libs/oUF/elements/assistant.lua
   M /trunk/libs/oUF/elements/aura.lua
   M /trunk/libs/oUF/elements/castbar.lua
   M /trunk/libs/oUF/elements/classicons.lua
   M /trunk/libs/oUF/elements/combat.lua
   M /trunk/libs/oUF/elements/cpoints.lua
   M /trunk/libs/oUF/elements/druidmana.lua
   M /trunk/libs/oUF/elements/eclipsebar.lua
   M /trunk/libs/oUF/elements/harmonyorbs.lua
   M /trunk/libs/oUF/elements/healprediction.lua
   M /trunk/libs/oUF/elements/health.lua
   M /trunk/libs/oUF/elements/leader.lua
   M /trunk/libs/oUF/elements/lfdrole.lua
   M /trunk/libs/oUF/elements/masterlooter.lua
   M /trunk/libs/oUF/elements/picon.lua
   M /trunk/libs/oUF/elements/portraits.lua
   M /trunk/libs/oUF/elements/power.lua
   M /trunk/libs/oUF/elements/pvp.lua
   M /trunk/libs/oUF/elements/qicon.lua
   M /trunk/libs/oUF/elements/raidrole.lua
   M /trunk/libs/oUF/elements/range.lua
   M /trunk/libs/oUF/elements/readycheck.lua
   M /trunk/libs/oUF/elements/resting.lua
   M /trunk/libs/oUF/elements/resurrect.lua
   M /trunk/libs/oUF/elements/ricons.lua
   M /trunk/libs/oUF/elements/runebar.lua
   M /trunk/libs/oUF/elements/stagger.lua
   M /trunk/libs/oUF/elements/tags.lua
   M /trunk/libs/oUF/elements/threat.lua
   M /trunk/libs/oUF/elements/totems.lua
   M /trunk/libs/oUF/events.lua
   M /trunk/libs/oUF/factory.lua
   M /trunk/libs/oUF/finalize.lua
   M /trunk/libs/oUF/init.lua
   M /trunk/libs/oUF/oUF.xml
   M /trunk/libs/oUF/ouf.lua
   M /trunk/libs/oUF/private.lua
   M /trunk/libs/oUF/units.lua

-Class Icon fix for minimal and Transparent themes
-Some additional catches for boss frames not spawning
-Misc: Sync of oUF libs
------------------------------------------------------------------------
r230 | wutname1 | 2015-09-20 05:43:18 +0000 (Sun, 20 Sep 2015) | 3 lines
Changed paths:
   M /trunk/Components/Minimap.lua
   M /trunk/Modules/Artwork/Options.lua
   M /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   M /trunk/Modules/Artwork/Themes/Classic/Module-Minimap.lua

-Artwork options bug fix relating to having viewport turned off.
-Minimap fix for not scaling with artwork on Classic Style
-Few other minor tweaks to try and figure out whats causing some of the mouse blocking affecting a few users.
------------------------------------------------------------------------
r229 | wutname1 | 2015-09-19 06:19:36 +0000 (Sat, 19 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Tooltips.lua

Pet battle tooltip error bug fix http://spartanui.net/bugs/other/getting-a-tooltip-error-during-pet-battles-r38/
------------------------------------------------------------------------
r228 | wutname1 | 2015-09-18 14:26:04 +0000 (Fri, 18 Sep 2015) | 1 line
Changed paths:
   M /trunk/Modules/RaidFrames/scripts/Spawn-Frames.lua

BugFix Raidframes not showing - http://spartanui.net/bugs/raid-frames/raid-frames-not-working-r35/
------------------------------------------------------------------------
r227 | wutname1 | 2015-09-18 14:20:48 +0000 (Fri, 18 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Objectives.lua

Objectives not disabling fix
------------------------------------------------------------------------
r226 | wutname1 | 2015-09-18 05:32:37 +0000 (Fri, 18 Sep 2015) | 1 line
Changed paths:
   M /trunk/Modules/RaidFrames/scripts/FrameStyle_Classic.lua

in combat fix for raid frames
------------------------------------------------------------------------
r225 | wutname1 | 2015-09-18 03:08:37 +0000 (Fri, 18 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Tooltips.lua

Tooltip Bug Fixes http://spartanui.net/bugs/other/tooltip-issue-only-if-in-combat-option-r29/
------------------------------------------------------------------------
r224 | wutname1 | 2015-09-18 02:54:58 +0000 (Fri, 18 Sep 2015) | 4 lines
Changed paths:
   M /trunk/Components/Minimap.lua
   M /trunk/Components/Tooltips.lua
   M /trunk/Core/Framework.lua
   M /trunk/Modules/Style_Minimal/Style-Setup.lua
   M /trunk/Modules/Style_Transparent/Style-Setup.lua

-Tooltip Options tweaks
-Minimap bugfix due to some options being combined
-Font monochrome bugfix
-Style Setup bugfix and reduced the "update from old versions" code
------------------------------------------------------------------------
r223 | wutname1 | 2015-09-17 19:54:53 +0000 (Thu, 17 Sep 2015) | 2 lines
Changed paths:
   M /trunk/Components/Minimap.lua
   M /trunk/Components/Tooltips.lua

Minimap Options fixed - http://spartanui.net/bugs/other/minimap-options-not-working-properly-r26/
Tooltip Rules (introduced in r221) now properly evaluate in order without getting stuck
------------------------------------------------------------------------
r222 | wutname1 | 2015-09-17 19:15:12 +0000 (Thu, 17 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Tooltips.lua

-Minor bug fix
------------------------------------------------------------------------
r221 | wutname1 | 2015-09-17 18:59:09 +0000 (Thu, 17 Sep 2015) | 4 lines
Changed paths:
   M /trunk/Components/Tooltips.lua
   M /trunk/Core/Framework.lua
   M /trunk/libs/oUF_Plugins/LoadAll.xml
   M /trunk/libs/oUF_Plugins/oUF_AuraWatch.lua
   M /trunk/libs/oUF_Plugins/oUF_DruidMana.lua
   M /trunk/libs/oUF_Plugins/oUF_MovableFrames.lua
   M /trunk/libs/oUF_Plugins/oUF_Smooth.lua
   M /trunk/libs/oUF_Plugins/oUF_Trinkets.lua
   M /trunk/libs/oUF_Plugins/oUF_boring_totembar.lua

-Tooltip module unable to disable fix
-Toottips are now movable
-Tooltips now have 3 display rules

------------------------------------------------------------------------
r219 | wutname1 | 2015-09-17 07:39:23 +0000 (Thu, 17 Sep 2015) | 3 lines
Changed paths:
   M /trunk/Components/Tooltips.lua

BugFix: Found that the garrison would still cause a Overflow error.
Improved: No longer need to /reload to change the tooltip background
Fix: When holding Shift to compare items the new tooltip elements are properly themed.
------------------------------------------------------------------------
r217 | wutname1 | 2015-09-17 05:09:49 +0000 (Thu, 17 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Tooltips.lua

script overflow error fix when changing the color of tooltips http://spartanui.net/bugs/other/tooltip-issue-c-stack-overflow-r17/
------------------------------------------------------------------------
r216 | wutname1 | 2015-09-17 03:58:30 +0000 (Thu, 17 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Tooltips.lua

tooltip tweak for other realms http://spartanui.net/bugs/other/tooltips-show-server-r16/
------------------------------------------------------------------------
r215 | wutname1 | 2015-09-17 03:30:31 +0000 (Thu, 17 Sep 2015) | 3 lines
Changed paths:
   M /trunk/Components/Tooltips.lua
   M /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   M /trunk/Modules/FilmEffects/SpartanUI_FilmEffects.lua
   M /trunk/Modules/PartyFrames/scripts/Spawn-Frames.lua
   M /trunk/Modules/Style_Grid/FrameStyle_Grid.lua
   M /trunk/Modules/Style_Grid/Style.lua

-Tooltips are able to be shown on mouse
-ReBuilt the entire Film Effects Module. I blame Alex for making me look at it and go "WHAT WAS I THINKING!" http://spartanui.net/bugs/sui_filmeffects/film-effects-apply-issue-r13/
-Film Effects now has an option to show effects "Always" or while "AFK"
------------------------------------------------------------------------
r214 | wutname1 | 2015-09-16 02:00:05 +0000 (Wed, 16 Sep 2015) | 3 lines
Changed paths:
   M /trunk/Components/Chatbox.lua
   M /trunk/Components/Tooltips.lua
   M /trunk/Core/DBSetup.lua
   M /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   D /trunk/Modules/RaidFrames/scripts/FrameStyle_Plain.lua
   M /trunk/Modules/RaidFrames/scripts/Global-Framework.xml
   A /trunk/Modules/Style_Grid
   A /trunk/Modules/Style_Grid/FrameStyle_Grid.lua
   A /trunk/Modules/Style_Grid/Style.lua
   M /trunk/Modules/Style_Minimal/Framework.lua
   M /trunk/Modules/Style_Minimal/Style-Setup.lua
   M /trunk/Modules/Style_Minimal/Style.lua
   M /trunk/Modules/Style_Transparent/Global-Framework.lua
   M /trunk/Modules/Style_Transparent/Style-Setup.lua
   M /trunk/Modules/Style_Transparent/Style.lua

-Chatbox Bugfix
-Added display Tooltip on mouse option

------------------------------------------------------------------------
r213 | wutname1 | 2015-09-12 07:22:46 +0000 (Sat, 12 Sep 2015) | 1 line
Changed paths:
   M /trunk/Modules/PlayerFrames/scripts/Options.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua

Focus Target Frame on classic theme was not displaying.
------------------------------------------------------------------------
r212 | wutname1 | 2015-09-12 07:04:31 +0000 (Sat, 12 Sep 2015) | 1 line
Changed paths:
   M /trunk/Modules/RaidFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua

few tweaks and fixes.
------------------------------------------------------------------------
r211 | wutname1 | 2015-09-12 05:57:39 +0000 (Sat, 12 Sep 2015) | 4 lines
Changed paths:
   M /trunk/Core/DBSetup.lua
   M /trunk/Core/Framework.lua
   M /trunk/Core/Options.lua
   M /trunk/Modules/PartyFrames/scripts/Options.lua
   M /trunk/Modules/RaidFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/RaidFrames/scripts/Options.lua
   M /trunk/Modules/RaidFrames/scripts/Spawn-Frames.lua
   M /trunk/Modules/Style_Minimal/Style.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   A /trunk/media/Style_Frames_Classic.tga
   A /trunk/media/Style_Frames_Minimal.tga
   A /trunk/media/Style_Frames_Transparent.tga
   D /trunk/media/Style_Minimal_LargeFrame.tga
   D /trunk/media/Style_Minimal_SmallFrame.tga
   D /trunk/media/Style_PlayerFrames.tga
   D /trunk/media/Style_Transparent_RaidFrame.tga
   M /trunk/media/arrow.tga

-Style Selection graphics improved/ finished
-Hots Display on Minimal improved
-Party display on minimal has 2 styles not small and large
-Raid frame organization improved, still not fixed. requires a reload once group is formed to properly sort. need to look into this more. has been a long standing issue that never got attention.
------------------------------------------------------------------------
r210 | wutname1 | 2015-09-11 08:19:00 +0000 (Fri, 11 Sep 2015) | 4 lines
Changed paths:
   M /trunk/Core/Installer.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua

-Right click menu fixes for Minimal Style
-Player Power bar updates to Minimal and Transparent

The time for 4.0 is getting close.
------------------------------------------------------------------------
r209 | wutname1 | 2015-09-10 16:54:17 +0000 (Thu, 10 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Minimap.lua
   M /trunk/Core/DBSetup.lua
   M /trunk/Core/Framework.lua
   M /trunk/Core/oUF.lua
   M /trunk/Modules/PartyFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua

Added hots and debuffs to new frames.
------------------------------------------------------------------------
r208 | wutname1 | 2015-09-09 07:38:47 +0000 (Wed, 09 Sep 2015) | 2 lines
Changed paths:
   M /trunk/Components/Minimap.lua
   M /trunk/Core/Framework.lua

Bugfix: Minimap Component causing stutter with lots of buttons
BugFix: Minimap Component causing "script ran too long" errors
------------------------------------------------------------------------
r207 | wutname1 | 2015-09-09 02:23:10 +0000 (Wed, 09 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Tooltips.lua
   M /trunk/Core/DBSetup.lua
   M /trunk/Core/Installer.lua
   A /trunk/media/arrow.tga

EMERGENCY TOOLTIP BUG FIX
------------------------------------------------------------------------
r206 | wutname1 | 2015-09-08 20:09:23 +0000 (Tue, 08 Sep 2015) | 2 lines
Changed paths:
   M /trunk/Components/Chatbox.lua
   M /trunk/Components/LoadAll.xml
   M /trunk/Components/Nameplates.lua
   A /trunk/Components/Tooltips.lua
   M /trunk/Core/DBSetup.lua
   M /trunk/Core/Framework.lua
   M /trunk/Core/Framework.xml
   A /trunk/Core/Installer.lua
   M /trunk/Modules/PartyFrames/scripts/Spawn-Frames.lua
   M /trunk/Modules/PlayerFrames/scripts/Options.lua
   M /trunk/Modules/RaidFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/RaidFrames/scripts/Options.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua
   A /trunk/media/blank.tga
   A /trunk/media/smoke.tga

Added Custom Tooltips
Some bug fixes
------------------------------------------------------------------------
r205 | wutname1 | 2015-09-05 17:54:41 +0000 (Sat, 05 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Nameplates.lua

nameplates files trim
------------------------------------------------------------------------
r204 | wutname1 | 2015-09-05 17:50:50 +0000 (Sat, 05 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Nameplates.lua

Nameplates file prep
------------------------------------------------------------------------
r203 | wutname1 | 2015-09-05 05:21:41 +0000 (Sat, 05 Sep 2015) | 4 lines
Changed paths:
   M /trunk/Components/LoadAll.xml
   A /trunk/Components/Nameplates.lua
   M /trunk/Core/Options.lua
   M /trunk/Modules/SpinCam/SpartanUI_SpinCam.lua
   M /trunk/Modules/Style_Transparent/Style.lua

SpinCam/SpartanUI_SpinCam.lua Bug http://spartanui.net/forums/topic/9-spincamcamera-distance/
added new Components/Nameplates.lua 
Removed player name from export string on help screen.
Options cleanup
------------------------------------------------------------------------
r202 | wutname1 | 2015-09-02 09:02:26 +0000 (Wed, 02 Sep 2015) | 6 lines
Changed paths:
   M /trunk/Components/Minimap.lua
   M /trunk/Core/DBSetup.lua
   M /trunk/Core/Framework.lua
   M /trunk/Core/Options.lua
   M /trunk/Modules/PlayerFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Features.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua

Bug fix r5: http://spartanui.net/bugs/other/minimap-r5/
Bug fix: Druid mana bar for feral no longer shows for all classes
Implemented: Reset movable player frames button in help screen
Started work on making player frames dynamically update the style independent options (started with health bar colors)
Updated minimum bartender version
Added a custom error reporting function to the core.
------------------------------------------------------------------------
r201 | wutname1 | 2015-09-01 06:28:09 +0000 (Tue, 01 Sep 2015) | 1 line
Changed paths:
   M /trunk/Components/Minimap.lua
   M /trunk/Modules/Artwork/Options.lua
   M /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.lua
   M /trunk/Modules/PartyFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/PartyFrames/scripts/Options.lua
   M /trunk/Modules/PartyFrames/scripts/Spawn-Frames.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Features.lua
   M /trunk/Modules/Style_Minimal/Framework.lua
   M /trunk/Modules/Style_Minimal/Style.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua

bug fixes
------------------------------------------------------------------------
r200 | wutname1 | 2015-08-31 06:22:34 +0000 (Mon, 31 Aug 2015) | 2 lines
Changed paths:
   M /trunk/Components/Objectives.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua

Druid Mana tweaks
Default Objectives options changed
------------------------------------------------------------------------
r199 | wutname1 | 2015-08-31 05:19:04 +0000 (Mon, 31 Aug 2015) | 3 lines
Changed paths:
   M /trunk/Modules/PlayerFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua

Bug fixes
-Focus Frame
-Boss Frames
------------------------------------------------------------------------
r198 | wutname1 | 2015-08-30 09:28:17 +0000 (Sun, 30 Aug 2015) | 1 line
Changed paths:
   M /trunk/Components/Minimap.lua
   M /trunk/Core/DBSetup.lua
   M /trunk/Core/Framework.lua
   M /trunk/Core/Options.lua
   M /trunk/Modules/PartyFrames/scripts/Spawn-Frames.lua
   M /trunk/Modules/PlayerFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Features.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   M /trunk/Modules/Style_Minimal/Style-Setup.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Style-Setup.lua
   M /trunk/SpartanUI.toc

Movement Code update
------------------------------------------------------------------------
r197 | wutname1 | 2015-08-23 06:58:51 +0000 (Sun, 23 Aug 2015) | 2 lines
Changed paths:
   M /trunk/Components/Objectives.lua
   M /trunk/Core/DBSetup.lua
   M /trunk/Core/Options.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   M /trunk/Modules/Style_Minimal/Style.lua
   M /trunk/Modules/Style_Transparent/Style.lua
   D /trunk/media/Style_Minimal - Copy.tga
   M /trunk/media/Style_Minimal_SmallFrame.tga
   M /trunk/media/Style_PlayerFrames.tga
   M /trunk/media/Style_Transparent_RaidFrame.tga

bug fixes
every module is theam-able separately 
------------------------------------------------------------------------
r196 | wutname1 | 2015-08-12 03:35:24 +0000 (Wed, 12 Aug 2015) | 1 line
Changed paths:
   M /trunk/Components/Objectives.lua
   M /trunk/Modules/PlayerFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/RaidFrames/scripts/FrameStyle_Classic.lua
   M /trunk/Modules/Style_Minimal/UnitFrames.lua
   M /trunk/Modules/Style_Transparent/Module-UnitFrames.lua
   A /trunk/media/Style_Transparent_RaidFrame.tga

Bug Fixes
------------------------------------------------------------------------
